Bug 18340 - Progress bar length is wrong
Summary: Progress bar length is wrong
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-27 20:18 UTC by Jonathan Druart
Modified: 2017-12-07 22:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18340: Fix progress bar length (1.52 KB, patch)
2017-03-27 20:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18340: Fix progress bar length (1.58 KB, patch)
2017-04-04 14:13 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18340: Fix progress bar length (1.63 KB, patch)
2017-05-10 10:37 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-03-27 20:18:07 UTC
The progress bar is never fully filled, even when 100% is hit
Comment 1 Jonathan Druart 2017-03-27 20:21:18 UTC
Created attachment 61647 [details] [review]
Bug 18340: Fix progress bar length

The progress bar (for background jobs) should be fully filled when 100%
is hit, right? :)
It has been introduced quite long time ago when the size of the progress
bar has been changed from 150 to 200px, and the code has been
refactored.

Test plan:
Launch a big modification/deletion of records/items in a batch.
You should see the progress bar progressing to 100 and reach 100!
Comment 2 Josef Moravec 2017-04-04 14:13:27 UTC
Created attachment 61841 [details] [review]
[SIGNED-OFF] Bug 18340: Fix progress bar length

The progress bar (for background jobs) should be fully filled when 100%
is hit, right? :)
It has been introduced quite long time ago when the size of the progress
bar has been changed from 150 to 200px, and the code has been
refactored.

Test plan:
Launch a big modification/deletion of records/items in a batch.
You should see the progress bar progressing to 100 and reach 100!

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Nick Clemens 2017-05-10 10:37:23 UTC
Created attachment 63334 [details] [review]
Bug 18340: Fix progress bar length

The progress bar (for background jobs) should be fully filled when 100%
is hit, right? :)
It has been introduced quite long time ago when the size of the progress
bar has been changed from 150 to 200px, and the code has been
refactored.

Test plan:
Launch a big modification/deletion of records/items in a batch.
You should see the progress bar progressing to 100 and reach 100!

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Kyle M Hall 2017-05-12 12:54:33 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 5 Katrin Fischer 2017-05-14 09:55:27 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 6 Julian Maurice 2017-05-22 10:47:06 UTC
Pushed to 3.22.x for 3.22.21
Comment 7 Mason James 2017-05-24 02:36:17 UTC
Pushed to 16.05.x, for 16.05.13 release